package de.schereSteinPapier.strategy;

import de.schereSteinPapier.domain.SSPStrategy;
import de.schereSteinPapier.domain.factory.SSPStrategyFactory;
import de.schereSteinPapier.moves.factory.SSPMoveFactory;

/**
 * Implements {@link SSPStrategyFactory} by creating a {@link SSPSaySteinStrategy}.
 */
public class SSPSaySteinStrategyFactory implements SSPStrategyFactory {

    @Override
    public SSPStrategy create(final SSPMoveFactory moveFactory) {
        return new SSPSaySteinStrategy(moveFactory);
    }
}
