/*
 * Copyright © 2021-2022 Fachhochschule für die Wirtschaft (FHDW) Hannover
 *
 * This file is part of ipspiel22-demo.
 *
 * Ipspiel22-demo is free software: you can redistribute it and/or modify it under the terms of the GNU General Public
 * License as published by the Free Software Foundation, either version 3 of the License, or (at your option) any later
 * version.
 *
 * Ipspiel22-demo is distributed in the hope that it will be useful, but WITHOUT ANY WARRANTY; without even the implied
 * warranty of MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License along with ipspiel22-demo. If not, see
 * <http://www.gnu.org/licenses/>.
 */
module de.fhdw.gaming.ipspiel22.schere.stein.papier {
    exports de.schereSteinPapier.domain;
    exports de.schereSteinPapier.domain.factory;
    exports de.schereSteinPapier.moves;
    exports de.schereSteinPapier.moves.factory;

    requires transitive de.fhdw.gaming.core;
    requires java.logging;

    uses de.schereSteinPapier.domain.factory.SSPStrategyFactory;

    provides de.schereSteinPapier.domain.factory.SSPStrategyFactory
            with de.schereSteinPapier.strategy.SSPSayPapierStrategyFactory,
            de.schereSteinPapier.strategy.SSPSaySteinStrategyFactory,
            de.schereSteinPapier.strategy.SSPSaySchereStrategyFactory,
            de.schereSteinPapier.strategy.SSPSayEquilibriumStrategyFactory;

    provides de.fhdw.gaming.core.domain.GameBuilderFactory
            with de.schereSteinPapier.domain.impl.SSPGameBuilderFactoryImpl;

    opens de.schereSteinPapier.domain.impl;
    opens de.schereSteinPapier.moves;
    opens de.schereSteinPapier.strategy;
}
